import { doFetch } from "@/utils/doFetch";

function getcolumns(setdrawer) {
  return [
    {
      tab: "未完成",
      key: "1",
      columns: [
        {
          title: "出库单号",
          dataIndex: "outstoreMaterialNo",
          key: "outstoreMaterialNo",
          formItemProps: {
            rules: [{ required: true, message: "此项为必填项" }],
          },
          render: (_, row) => {
            return (
              <a
                className="table-cell"
                onClick={async () => {
                  const detailData = await doFetch({
                    url: "/ta_wms_workmanship/pmOutstoreMaterial/queryById",
                    params: { id: row?.id },
                  });
                  setdrawer((s) => {
                    return {
                      ...s,
                      open: true,
                      title: `${row.outstoreMaterialNo}详情`,
                      val: "detailaddon",
                      detailData: detailData?.data?.data ?? {},
                      fields: [
                        { title: "基本信息", valueType: "split" },
                        {
                          title: "出库单号",
                          dataIndex: "outstoreMaterialNo",
                        },
                        {
                          title: "出库类型",
                          dataIndex: "outstoreTypeName",
                        },
                        {
                          title: "出库仓库",
                          dataIndex: "storeName",
                        },
                        {
                          title: "工单状态",
                          dataIndex: "statusName",
                        },
                        {
                          title: "备注",
                          dataIndex: "remarks",
                        },
                        {
                          title: "创建人",
                          dataIndex: "createUserName",
                        },
                        {
                          title: "创建时间",
                          dataIndex: "createTime",
                        },
                        {
                          title: "完成时间",
                          dataIndex: "finishTime",
                        },
                      ],
                      item: row,
                    };
                  });
                }}
              >
                {row.outstoreMaterialNo}
              </a>
            );
          },
        },
        {
          title: "出库类型",
          dataIndex: "outstoreTypeName",
          key: "outstoreType",
          valueType: "select",
          options: [
        
            {
              value: "1",
              label: "生产叫料单",
            },
            {
              value: "2",
              label: "生产退料单",
            },
            {
              value: "4",
              label: "检验出库单",
            },
            {
              value: "5",
              label: "来料退料单",
            },
            {
              value: "6",
              label: "返工叫料单",
            },
            {
              value: "7",
              label: "调拨出库单",
            },
            // {
            //   value: "8",
            //   label: "移库出库",
            // },
          ],
        },
        {
          title: "出库仓库",
          dataIndex: "storeName",
          key: "storeId",
          
          fieldProps: {
            placeholder: "请选择",
            showSearch:true
          },
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
          valueType: "select",
          options: {
            path: "/ta_wms_auth/sysStore/selectionBoxAll",
          },
        },
        {
          title: "备注",
          dataIndex: "remarks",
          hideInSearch: true,
          key: "remarks",
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
          span: 3,
        },
        {
          title: "创建人",
          dataIndex: "createUserName",
          key: "createUserName",
          hideInSearch: true,
        },
        {
          title: "创建时间",
          dataIndex: "createTime",
          key: "createTime",
          hideInSearch: true,
        },
        {
          title: "来源单据",
          dataIndex: "sourceNo",
          key: "sourceNo",
          hideInSearch: true,
        },
        {
          title: "状态",
          dataIndex: "statusName",
          key: "statusName",
          hideInSearch: true,
        },
      ],
      pathconfig: {
        enableadd: true,
        add: "/pengli-quality/iqcTask/save",
        list: "/ta_wms_workmanship/pmOutstoreMaterial/queryList",
        detail: "/ta_wms_workmanship/pmMaterialApply/queryById",
      },
    },
    {
      tab: "已完成",
      key: "2",
      columns: [
        {
          title: "出库单号",
          dataIndex: "outstoreMaterialNo",
          key: "outstoreMaterialNo",
          formItemProps: {
            rules: [{ required: true, message: "此项为必填项" }],
          },
          render: (_, row) => {
            return (
              <a
                className="table-cell"
                onClick={async () => {
                  const detailData = await doFetch({
                    url: "/ta_wms_workmanship/pmOutstoreMaterialHis/queryById",
                    params: { id: row?.id },
                  });
                  setdrawer((s) => {
                    return {
                      ...s,
                      open: true,
                      title: `${row.outstoreMaterialNo}详情`,
                      val: "detailaddon",
                      detailData: detailData?.data?.data ?? {},
                      fields: [
                        { title: "基本信息", valueType: "split" },
                        {
                          title: "出库单号",
                          dataIndex: "outstoreMaterialNo",
                        },
                        {
                          title: "出库类型",
                          dataIndex: "outstoreTypeName",
                        },
                        {
                          title: "出库仓库",
                          dataIndex: "storeName",
                        },
                        {
                          title: "工单状态",
                          dataIndex: "statusName",
                        },
                        {
                          title: "备注",
                          dataIndex: "remarks",
                        },
                        {
                          title: "创建人",
                          dataIndex: "createUserName",
                        },
                        {
                          title: "创建时间",
                          dataIndex: "createTime",
                        },
                        {
                          title: "完成时间",
                          dataIndex: "finishTime",
                        },
                      ],
                      item: row,
                    };
                  });
                }}
              >
                {row.outstoreMaterialNo}
              </a>
            );
          },
        },
        {
          title: "出库类型",
          dataIndex: "outstoreTypeName",
          key: "outstoreType",
          valueType: "select",
          options: [
        
            {
              value: "1",
              label: "生产叫料单",
            },
            {
              value: "2",
              label: "生产退料单",
            },
            {
              value: "4",
              label: "检验出库单",
            },
            {
              value: "5",
              label: "来料退料单",
            },
            {
              value: "6",
              label: "返工叫料单",
            },
            {
              value: "7",
              label: "调拨出库单",
            },
            // {
            //   value: "8",
            //   label: "移库出库",
            // },
          ],
        },
        {
          title: "出库仓库",
          dataIndex: "storeName",
          key: "storeId",
          
          fieldProps: {
            placeholder: "请选择",
            showSearch:true
          },
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
          valueType: "select",
          options: {
            path: "/ta_wms_auth/sysStore/selectionBoxAll",
          },
        },
        {
          title: "备注",
          dataIndex: "remarks",
          hideInSearch: true,
          key: "remarks",
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
          span: 3,
        },
        {
          title: "创建人",
          dataIndex: "createUserName",
          key: "createUserName",
          hideInSearch: true,
        },
        {
          title: "创建时间",
          dataIndex: "createTime",
          key: "createTime",
          hideInSearch: true,
        },
        {
          title: "完成时间",
          dataIndex: "finishTime",
          key: "finishTimeList",
          valueType: 'dateRange',
        },
        {
          title: "来源单据",
          dataIndex: "sourceNo",
          key: "sourceNo",
          hideInSearch: true,
        },
        {
          title: "状态",
          dataIndex: "statusName",
          key: "statusName",
          hideInSearch: true,
        },
      ],
      pathconfig: {
        enableadd: true,
        add: "/pengli-quality/iqcTask/save",
        edit: "/pengli-quality/iqcTask/save",
        list: "/ta_wms_workmanship/pmOutstoreMaterialHis/queryList",
        detail: "/ta_wms_workmanship/pmMaterialApplyHis/queryById",
      },
    },
  ];
}

export default getcolumns;
